#ifndef __WVBOX_HPP__
#define __WVBOX_HPP__

/* This file is part of Millennium Duel.
Copyright 2013 Rafał Cieślak and the Millennium Developers Team

Millennium Duel is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

Millennium Duel is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details. 

You should have received a copy of the GNU General Public License
along with Millennium Duel; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA  */

#include "IBox.hpp"

class WVBox : public IBox{
public:
    WVBox();
    
private:
    virtual void _Redraw(int w, int h) override;

    void _ClickReaction(SCoordinates p);
    void _MouseOverReaction(SCoordinates p);
    void _MouseOutReaction();

    virtual int _GetInnerMinimalHeight() override;
    virtual int _GetInnerMinimalWidth () override;
};

#endif //__WVBOX_HPP__
