#ifndef __COPTIONS_HPP__
#define __COPTIONS_HPP__

/* This file is part of Millennium Duel.
Copyright 2013 Rafał Cieślak and the Millennium Developers Team

Millennium Duel is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

Millennium Duel is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details. 

You should have received a copy of the GNU General Public License
along with Millennium Duel; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA  */

#include "widgets/WProportional.hpp"
#include "widgets/WLabel.hpp"
#include "widgets/WVBox.hpp"
#include "widgets/WHBox.hpp"
#include "widgets/WButton.hpp"

class COptions : public WProportional{
public:
	COptions();
	CEvent<> event_closed;
private:
	WVBox _w_vbox;
	WLabel _w_caption;
	WButton _w_close_button;
	
	WHBox _w_window_size_hbox;
	WLabel _w_window_size_label;
	WVBox _w_window_sizes;
	WButton _w_window_size_small;
	WButton _w_window_size_medium;
	WButton _w_window_size_large;
	
	void _ButtonCloseClicked();
};

#endif //__CABOUT_HPP__
